import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { UploadServiceConfig } from './../model/upload.service.config';
export declare class UploadService {
    private http;
    private uploadApiUrl;
    private uploadPath;
    constructor(http: HttpClient, config: UploadServiceConfig);
    upload(files: Set<File>): {
        [key: string]: Observable<number>;
    };
    exists(fileName: string): Observable<boolean>;
}
